---
title: 文章
description: 文章管理相关功能说明
---
## 新建文章

目前你可以通过以下两种方式新建一篇文章：

1. 点击仪表盘快捷访问组件中的创建文章
2. 通过左侧导航栏进入文章页面，点击右上角的新建按钮

进入到如下页面后，你就可以开始编辑自己的文章内容了：

![文章编辑界面说明](/img/user-guide/posts/post-edit.png)

1. **编辑器切换**：如果安装了其他的编辑器插件，那么就可以在这个位置选择所需的编辑器。
2. **预览**：点击预览按钮可以在未发布的时候预览文章的渲染效果。
3. **保存**：仅保存文章内容，但是不发布。
4. **发布**：保存并发布文章内容。

:::info
Halo 支持通过插件来拓展文章编辑器，目前 Halo 官方维护了另外两款编辑器插件，可以按需安装使用：

1. StackEdit：<https://halo.run/store/apps/app-hDXMG>
2. ByteMD：<https://halo.run/store/apps/app-HTyhC>
:::

## 文章设置

当你想修改一篇文章的标题、所属分类等信息时，你可以通过以下方式进行操作：

1. 点击文章列表指定文章所在行的 `···` 更多操作按钮，选择设置。
2. 在文章列表点击指定文章的标题进入文章编辑页面，点击页面右上角的设置按钮。

![文章编辑界面说明](/img/user-guide/posts/post-setting.png)

### 设置说明

- **标题**：用于在主题端显示的文章标题。
- **别名**：通常用于生成文章访问地址，如：`/archives/{slug}`。
- **分类目录**：文章所属分类，方便用户区分文章类型进行针对性浏览，一篇文章可以属于多个分类。
- **标签**：文章添加的标签，方便用户更进一步标识文章信息，一篇文章可以添加多个标签。
- **自动生成摘要**：文章摘要是对文章内容的概括性描述。
  - **是**： 系统根据文章内容，自动生成一段摘要。
  - **否**： 用户自行输入文章摘要文本。
- **自定义摘要**：用户自行输入的文章摘要文本，仅当 `自动生成摘要` 为否时生效。
- **允许评论**：是否允许用户在主题端浏览文章时对该文章发起评论。
- **是否置顶**：文章是否排序在文章列表的最顶部。
- **可见性**：访问站点主题端时，哪些人可以看到这篇文章。
  - **公开**：所有用户均可看到这篇文章，包括未登录用户。
  - **私有**：仅文章作者可以看到这篇文章。
- **发表时间**：手动指定文章的发表时间，未指定时以实际发布时间为准。
- **自定义模板**：自定义文章的渲染模板，由主题提供支持。
- **封面图**：文章封面图设置，需要主题支持该功能。
- **元数据**：供主题、插件使用的额外数据信息。比如主题在文章页面提供了一个下载按钮，那么就可以通过元数据来指定下载地址。

## 发布及取消发布

对于已发布的文章，默认可以通过站点地址进行公开访问，用户可以在文章高级设置中修改可见性。

你可以在上文介绍的文章设置对话框中，修改文章的发布状态。

在文章设置对话框中，若文章当前处于已发布状态，下方会显示取消发布按钮。若文章处于未发布状态，下方则不会显示发布按钮。

## 删除文章

当你不再需要一篇文章时，你可以通过以下方式删除该文章：

1. 点击文章列表指定文章所在行的 `···` 更多操作按钮，选择删除。
2. 勾选文章列表中的全选/多选框，选中一篇或多篇文章进行批量删除。

文章删除后会进入回收站中，点击右上角的回收站按钮进入回收站。在回收站中，你可以永久删除或恢复指定的文章。

:::warning
文章永久删除后将从数据库删除该记录，后续无法再恢复找回。
:::

## 文章分类管理

通过分类可以更好地组织管理文章。分类之间存在层级关系，一个父分类下可包含多个子分类。一篇文章可以同时属于多个分类。

在文章管理页面，点击页面右上角的 `分类` 按钮即可进入分类管理页面。

### 新建文章分类

点击分类管理页面右上角的 `新建` 按钮即可新建一个分类。

![文章分类编辑界面说明](/img/user-guide/posts/category-create.png)

#### 设置说明

- **名称**：用于在主题端显示的分类名称。
- **别名**：通常用于生成分类归档页面的访问地址。默认路径规则为 `/categories/{slug}`，其中 `slug` 为分类别名，访问该地址即可浏览该分类下的所有文章。分类页路由前缀可[在设置中修改](./settings#主题路由设置)。
- **自定义模板**：自定义分类归档页面的渲染模板，由主题提供支持。
- **封面图**：分类封面图设置，需要主题支持该功能。
- **描述**：关于该文章分类的更多描述信息。
- **元数据**：供主题、插件使用的额外数据信息。例如部分主题期望使用不同的颜色对分类进行区分，便可以使用该功能为分类增加颜色相关的元数据。

### 调整分类层级

分类之间存在层级关系，一个父分类下可包含多个子分类。

你可以按住分类前的图标，通过拖拽来调整分类间的层级关系和顺序。

![移动文章分类](/img/user-guide/posts/category-move.gif)

### 修改/删除分类

点击指定分类所在行后方的 `···` 更多操作按钮，可以对文章分类进行修改或删除。

:::warning
文章分类删除后，对应文章的关联将被解除，且该操作不可恢复，请谨慎进行该操作。
:::

## 文章标签管理

标签可以用于为文章添加特定标记，与分类不同的是标签之间没有层级关系。一篇文章也可以同时添加多个标签。

### 新建文章标签

点击分类管理页面右上角的 `新建` 按钮即可新建一个分类。

![标签编辑界面说明](/img/user-guide/posts/tag-create.png)

#### 设置说明

- **名称**：用于在主题端显示的标签名称。
- **别名**：通常用于生成标签归档页面的访问地址。默认路径规则为 `/tags/{slug}`，其中 `slug` 为标签别名，访问该地址即可浏览具有该标签的所有文章。标签页路由前缀可[在设置中修改](./settings#主题路由设置)。
- **颜色**：用于在控制台及主题端显示的标签颜色，主题端显示颜色需要主题支持该功能。
- **封面图**：标签封面图设置，需要主题支持该功能。
- **元数据**：供主题、插件使用的额外数据信息。

### 修改/删除标签

在列表模式下，点击指定标签所在行后方的 `···` 更多操作按钮，可以对文章标签进行修改或删除。

:::warning
文章标签删除后，对应文章的关联将被解除，且该操作不可恢复，请谨慎进行该操作。
:::
