---
title: 基础说明
description: Halo 中的基本概念说明
---
Halo 作为一款好用又强大的开源建站工具，配合上不同的模板与插件，可以很好地帮助你构建你心中的理想站点。它可以是你公司的官方网站，可以是你的个人博客，也可以是团队共享的知识库，甚至可以是一个论坛、一个商城。

为了更好地发挥出 Halo 的价值，这里有一些基本概念需要你进行了解。

## 控制台

控制台是一个 Halo 站点的后台管理系统，只有具有权限的登录用户才可以正常使用控制台功能。你可以在控制台中管理站点中的文章、页面、附件等各种内容，调整站点使用的主题或各种设置。

:::info
控制台的访问入口为 `/console`。忘记密码请参考[常见问题中的忘记密码章节](../user-guide/faq.md#忘记密码怎么办)进行处理。
:::

### 界面说明

![控制台界面说明](/img/user-guide/common/控制台界面说明.png)

1. **全局搜索框**：点击或通过快捷键 `Ctrl+K` 可以呼出全局搜索框，输入关键字可以在所有文章、页面、附件、用户及设置项等所有内容中进行全局搜索。
2. **侧边导航栏**：对控制台提供的功能进行导航，点击导航栏条目会在页面右侧显示对应功能页面。安装某些插件可能会扩展导航栏条目。
3. **用户信息展示及操作**：展示当前登录用户的头像、名称及角色等信息，`···` 中提供更多用户相关操作。
4. **功能页面标题**： 当前所在的功能页面标题。
5. **功能页面操作区域**：当前所在功能页面提供的功能操作按钮。
6. **功能页面主体**： 当前所在功能页面的主体显示区域，显示内容及形式视具体页面功能而定。

## 个人中心

从 Halo 2.11 开始，除了 Console 管理控制台，我们新增加了个人中心，用于管理和用户相关的所有功能。有了个人中心之后，也可以让网站有更多的使用和开发场景，个人中心独立访问入口为 `/uc`。

## 文章

文章是 Halo 中的核心概念之一。一篇文章主要由纯文本的文章标题和富文本的文章内容构成，除此之外你还可以为文章设置所属分类、添加标签、设置封面图等。

在不同的站点类型不同的应用场景中，文章的实际含义也会有所区别，它可以代表一则公司新闻、一篇博客或者产品文档中的某一章节。

## 页面

页面与文章类似，同样包含页面标题和富文本形式的页面内容。与文章不同的是页面无法设置所属分类和标签信息，一般用于站点中单一展示功能的页面，例如常见的站点关于页面、联系我们页面等。

## 分类

通过分类可以更好地组织管理文章。分类之间存在层级关系，一个父分类下可包含多个子分类。一篇文章可以同时属于多个分类。

## 标签

标签可以用于为文章添加特定标记，与分类不同的是标签之间没有层级关系。一篇文章也可以同时添加多个标签。

## 附件

由用户上传的，供文章、主题设置等各个地方引用的文件。多用于文章配图、主题配图、用户头像等场景。

## 主题

包含了各种站点页面模板的资源包。用户访问 Halo 站点浏览到的内容及样式，由 Halo 管理端所配置使用的主题所决定。

## 插件

用于扩展 Halo 功能的软件包。插件独立于 Halo 核心应用，可以单独安装、升级、卸载。

:::info
目前有两个官方渠道可以获取主题和插件：

- 应用市场：<https://halo.run/store/apps>
- Awesome Halo：<https://github.com/halo-sigs/awesome-halo>
:::
